Commit 37eddb8a authored by Eike Ziller's avatar Eike Ziller

qmake build: Do not require 3rd party plugins to set c++14

Do it in qtcreator.pri instead again, since that is supposed to be
included by projects depending on Qt Creator.
Since we will use C++14 in utils/algorithm.h and other prominent
places, it would be very annoying to require setting C++14 on
all external plugins.

Change-Id: Ie11a30b33c791f3bf6db39fcee454f1e887352c2
Reviewed-by: Marco Bubke's avatarMarco Bubke <marco.bubke@qt.io>
Reviewed-by: Oswald Buddenhagen's avatarOswald Buddenhagen <oswald.buddenhagen@qt.io>
Reviewed-by: Eike Ziller's avatarEike Ziller <eike.ziller@qt.io>
parent 20670d62
CONFIG += c++14
......@@ -6,6 +6,8 @@ QTCREATOR_COMPAT_VERSION = 4.2.82
VERSION = $$QTCREATOR_VERSION
BINARY_ARTIFACTS_BRANCH = master
CONFIG += c++14
defineReplace(qtLibraryTargetName) {
unset(LIBRARY_NAME)
LIBRARY_NAME = $$1
......
......@@ -10,6 +10,7 @@ unix:LIBS += -ldl
osx:QMAKE_CXXFLAGS = -stdlib=libc++
include(../../../qtcreator.pri)
include(../../../src/libs/clangbackendipc/clangbackendipc-lib.pri)
include(../../../src/libs/sqlite/sqlite-lib.pri)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment